Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Interface ServerCounts

public interface ServerCounts

Provides a specific attribute of a ServerDirContext. The ID of the attribute is equal to ATTR_ID, and the attribute value is an object that implements the ServerCounts interface.

The ServerCounts attribute does not support expanded search capabilities, and thus, all fields must be set in a search request.

Field Summary
`static java.lang.String` | `ATTR_ID` The attribute ID of this attribute whose value is ServerCounts.
`static java.lang.String` | `attrID` Deprecated. This member will be removed. Use ATTR_ID instead.

Method Summary
`short` | `getConnectionsInUse()` Returns the number of connections currently in use.
`short` | `getMaxConnections()` Returns the maximum number of connection slots that the server has allocated since it was started.
`short` | `getMaxConnectionsUsed()` Returns the maximum number of licensed connections in use at one time.
`short` | `getMaxVolumes()` Returns the maximum number of volumes supported.
`int` | `getNumberOfNCPRequests()` Returns the number of the NCP requests since the server was started.
`byte` | `getSFTLevel()` Returns the SFT level of the server.
`byte` | `getTTSLevel()` Returns the TTS level of the server.
`void` | `setConnectionsInUse(short value)` Sets the number of connections currently in use as the search value.
`void` | `setMaxConnections(short value)` Sets the maximum number of connection slots as the search value.
`void` | `setMaxConnectionsUsed(short value)` Sets the maximum number of licensed connections in use at one time as the search value.
`void` | `setMaxVolumes(short value)` Sets the maximum number of volumes supported as the search value.
`void` | `setNumberOfNCPRequests(int value)` Sets the number of NCP requests as the search value.
`void` | `setSFTLevel(byte value)` Sets the SFT level of the server as the search value.
`void` | `setTTSLevel(byte value)` Sets the TTS level of the server as the search value.

Field Detail

### ATTR_ID

    public static final java.lang.String ATTR_ID

  The attribute ID of this attribute whose value is ServerCounts.

  (ATTR_ID = "ServerCounts")

### attrID

    public static final java.lang.String attrID

  Deprecated. This member will be removed. Use ATTR_ID instead.

Method Detail

### getNumberOfNCPRequests

    public int getNumberOfNCPRequests()
                               throws com.novell.service.jncp.NSIException

  Returns the number of the NCP requests since the server was started.
  Returns:
    The number of NCP requests.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxConnections

    public short getMaxConnections()
                            throws com.novell.service.jncp.NSIException

  Returns the maximum number of connection slots that the server has allocated since it was started. It does not indicate how many connections the server supports.
  Returns:
    The maximum number of connection slots.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxConnectionsUsed

    public short getMaxConnectionsUsed()
                                throws com.novell.service.jncp.NSIException

  Returns the maximum number of licensed connections in use at one time.
  Returns:
    The maximum number of connections.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getConnectionsInUse

    public short getConnectionsInUse()
                              throws com.novell.service.jncp.NSIException

  Returns the number of connections currently in use.
  Returns:
    The number of connections in use.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getMaxVolumes

    public short getMaxVolumes()
                        throws com.novell.service.jncp.NSIException

  Returns the maximum number of volumes supported.
  Returns:
    The number of volumes supported.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getSFTLevel

    public byte getSFTLevel()
                     throws com.novell.service.jncp.NSIException

  Returns the SFT level of the server.
  Returns:
    The server's SFT level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getTTSLevel

    public byte getTTSLevel()
                     throws com.novell.service.jncp.NSIException

  Returns the TTS level of the server.
  Returns:
    The server's TTS level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setNumberOfNCPRequests

    public void setNumberOfNCPRequests(int value)
                                throws com.novell.service.jncp.NSIException

  Sets the number of NCP requests as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of NCP requests.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxConnections

    public void setMaxConnections(short value)
                           throws com.novell.service.jncp.NSIException

  Sets the maximum number of connection slots as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The maximum number of connection slots.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxConnectionsUsed

    public void setMaxConnectionsUsed(short value)
                               throws com.novell.service.jncp.NSIException

  Sets the maximum number of licensed connections in use at one time as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The maximum number of connections.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setConnectionsInUse

    public void setConnectionsInUse(short value)
                             throws com.novell.service.jncp.NSIException

  Sets the number of connections currently in use as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of connections in use.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setMaxVolumes

    public void setMaxVolumes(short value)
                       throws com.novell.service.jncp.NSIException

  Sets the maximum number of volumes supported as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The number of volumes supported.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setSFTLevel

    public void setSFTLevel(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the SFT level of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The server's SFT level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setTTSLevel

    public void setTTSLevel(byte value)
                     throws com.novell.service.jncp.NSIException

  Sets the TTS level of the server as the search value. This is used to search for all servers matching the value parameter.
  Parameters:
    `value` - The server's TTS level.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD